@charset "utf-8";

html {
    font-size: clamp(13px, 3.5vw, 16px);
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    font-size: var(--text-base);
    font-family: var(--font-family);
    color: var(--text-color);
    background-color: var(--bg-default);
    margin: 0;
    padding: 0;
    min-height: 100%;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow-x: hidden;
}

a {
    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

/* Page Layout*/
.com_guide {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    box-sizing: border-box;
}

.mob_view {
    display: none;
}

@media screen and (max-width:1300px) {
    .com_guide {
        padding: 0 var(--space-xl);
    }
}

@media screen and (max-width:767px) {
    .mob_view {
        display: block;
    }

    .pc_view {
        display: none !important;
    }
}

/* GNB Header*/
.gnb_header {
    position: sticky;
    top: 0;
    z-index: 50;
    background-color: var(--bg-default);
    border-bottom: 1px solid var(--border-brand-subtle);
}

.gnb_inner {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 6.375rem;
    padding: 0 var(--space-xl);
}

.gnb_logo a {
    display: block;
    width: 10.6rem;
    font-weight: var(--font-bold);
    white-space: nowrap;
}

.gnb_logo .accent {
    font-weight: var(--font-black);
    color: var(--blue-700);
}

.gnb_nav {
    display: flex;
    align-items: center;
    gap: 5.9vw;
}

    .gnb_nav .nav_item {
        display: flex;
        align-items: center;
        position: relative;
        font-size: var(--text-lg);
        font-weight: var(--font-semibold);
        color: var(--text-secondary);
        cursor: pointer;
        white-space: nowrap;
        padding: 0 1.75rem;
        height: var(--height-sm);
        border-radius: var(--rounded-full);
    }

        .gnb_nav .nav_item.active:hover,
        .gnb_nav .nav_item.active {
            color: var(--primary-100);
            background-color: var(--indigo-900);
        }

        .gnb_nav .nav_item:hover {
            color: var(--text-secondary);
            background-color: var(--bg-brand-subtler);
        }

        .gnb_nav .nav_item:has(.nav_badge) {
            padding-right: var(--space-2xs);
        }

        .gnb_nav .nav_item .nav_badge {
            height: 1.5rem;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            min-width: 1.5rem;
            padding: 0 var(--space-xs);
            border-radius: var(--rounded-full);
            background-color: var(--primary-500);
            color: var(--primary-100);
            font-weight: var(--font-medium);
            margin-left: var(--space-3xs);
            font-size: var(--text-base);
        }

.gnb_login {
    font-size: var(--text-md);
    font-weight: var(--font-semibold);
}

@media screen and (max-width: 767px) {
    .gnb_inner {
        height: auto;
        flex-wrap: wrap;
    }

    .gnb_logo {
        display: flex;
        justify-content: center;
        padding: var(--space-xl) 0;
        border-bottom: 1px solid var(--border-secondary);
        width: 100%;
        text-align: center;
    }

        .gnb_logo:not(.login_gnb_logo) a {
            width: 8rem;
        }

    .gnb_nav {
        gap: var(--space-xl);
        width: 100%;
        padding: var(--space-sm) 0;
        justify-content: center;
    }

        .gnb_nav .nav_item {
            font-size: var(--text-base);
        }

    .gnb_login {
        font-size: var(--text-sm);
        position: absolute;
        top: 0.5rem;
        right: 0;
        padding: var(--space-xl);
        line-height: 1.5em;
    }
}

/* Search Section*/
.search_section {
    background-color: var(--primary-100);
    padding: 3.375rem 0;
}

.search_bar {
    position: relative;
    display: flex;
    align-items: center;
    max-width: 37.5rem;
    margin: 0 auto;
    gap: 0;
}

    .search_bar .input_base {
        border: 3px solid var(--indigo-900);
        border-right: 0;
        border-radius: var(--rounded-full);
        height: var(--height-lg);
        padding-right: 7rem;
    }

        .search_bar .input_base:focus {
            border: 3px solid var(--indigo-700);
        }

    .search_bar .btn_base {
        position: absolute;
        top: 50%;
        right: 0;
        transform: translateY(-50%);
        border-radius: var(--rounded-full);
        min-width: 6.25rem;
        height: var(--height-lg);
        flex-shrink: 0;
    }

@media screen and (max-width: 767px) {
    .search_section {
        padding: var(--space-3xl) 0;
    }

    .search_bar {
        max-width: 100%;
        height: var(--height-lg);
        font-size: var(--text-md);
    }

        .search_bar .input_base {
            height: var(--height-md);
            border-width: 2px;
            font-size: var(--text-sm);
        }

        .search_bar .btn_base {
            height: var(--height-md);
            min-width: 4.375rem;
            font-size: var(--text-sm);
        }
}

/* Filter Section*/
.filter_section {
    padding: 2.81rem 0 0;
}

.filter_tab_row {
    display: flex;
    gap: var(--space-md);
    margin-bottom: var(--space-md);
}

    .filter_tab_row .tab_wrap {
        flex: 1;
    }

    .filter_tab_row .tab_list.fill {
        display: flex;
        gap: var(--space-md);
    }

        .filter_tab_row .tab_list.fill .tab_item {
            min-width: auto;
        }

.filter_detail_btn {
    position: relative;
    width: 12.5rem;
    background-color: var(--bg-default);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--space-3xs);
    font-size: var(--text-md);
    font-weight: var(--font-medium);
    cursor: pointer;
    border-radius: var(--rounded-xs);
}

.filter_toggle_btn {
    display: none;
    align-items: center;
    justify-content: center;
    width: var(--height-md);
    height: var(--height-md);
    border: 1px solid var(--indigo-400);
    border-radius: var(--rounded-xs);
    background-color: var(--bg-default);
    cursor: pointer;
    flex-shrink: 0;
    color: var(--indigo-500);
}

    .filter_toggle_btn .material-symbols-outlined {
        font-size: 1.75rem;
    }


.chip_wrap {
    display: none;
    flex-wrap: wrap;
    gap: 1.375rem 2.5rem;
    padding: 1.875rem 3.125rem;
    background-color: var(--bg-default);
    border-radius: var(--rounded-md) 0 var(--rounded-md) var(--rounded-md);
}

    .chip_wrap.active {
        display: flex;
    }

.filter_action {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: var(--space-md);
    margin-top: var(--space-2xs);
    padding: var(--space-lg) 3.125rem;
    background-color: var(--bg-default);
    border-radius: var(--rounded-md);
}

.filter_tags {
    display: flex;
    flex-wrap: wrap;
    gap: var(--space-xs);
    flex: 1;
}

.filter_submit {
    margin-left: auto;
    display: flex;
    align-items: center;
    gap: var(--space-md);
}

.filter_contents {
    display: none;
}

    .filter_contents.active {
        display: block;
    }

@media screen and (min-width:768px) {
    .filter_section:has(.filter_contents.active) .filter_detail_btn::after {
        content: "";
        display: block;
        width: 100%;
        height: var(--height-sm);
        position: absolute;
        top: 100%;
        left: 0;
        background-color: var(--bg-default);
    }
}

@media screen and (max-width:767px) {
    .filter_section {
        padding-top: var(--space-3xl);
    }

    .filter_tab_row {
        flex-direction: row-reverse;
        margin: 0;
    }

        .filter_tab_row .tab_list {
            & .tab_item .inner

{
    height: var(--height-md);
    font-size: var(--text-sm)
}

}

.filter_detail_btn {
    aspect-ratio: 1/1;
    width: 2.5rem;
    border: 1px solid var(--indigo-400);
}

.filter_contents_wrap:has(.filter_contents.active) {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
}

.filter_contents {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: var(--bg-default);
    z-index: 10;
    border-radius: var(--rounded-xl) var(--rounded-xl) 0 0;
}

.filter_mob_head {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--space-3xl);
    padding: var(--space-4xl) var(--space-xl);
}

.filter_mob_title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--space-3xs);
    font-size: var(--text-lg);
    font-weight: var(--font-medium);
    color: var(--text-default);
}

.filter_mob_head .tab_list {
    flex-wrap: nowrap;
    width: 100%;
    gap: var(--space-3xs);
}

.filter_mob_head .tab_list {
    & .tab_item .inner

{
    font-size: var(--text-base);
    padding: 0;
}

}

.chip_wrap {
    padding: 0 var(--space-xl) var(--space-3xl);
    gap: var(--space-xl) var(--space-2xl);
    height: 18rem;
    overflow-y: auto;
}

.chip_field {
    flex: 1;
}

.chip_label {
    width: 100%;
}

.filter_action {
    background-color: var(--bg-primary);
    padding: var(--space-3xl) var(--space-xl);
    flex-direction: column;
    gap: var(--space-3xl);
    margin: 0;
}

.filter_submit {
    margin: 0;
    width: 100%;
}

.filter_action .btn_base.inverse {
    width: 100%;
}

.filter_action .btn_base.ghost {
    height: var(--height-lg);
    aspect-ratio: 1/1;
    background-color: var(--indigo-300);
    color: var(--indigo-50);
    border-radius: var(--rounded-circle);
    & i

{
    line-height: var(--height-lg);
}

}
}

/* Result Section*/
.result_section {
    padding: 2.5rem 0;
}

.result_header {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: var(--space-md);
    padding-bottom: 2.5rem;
}

.result_count {
    display: flex;
    align-items: center;
    gap: var(--space-3xs);
    font-size: var(--text-md);
    font-weight: var(--font-medium);
}

.result_actions {
    display: flex;
    align-items: center;
    gap: var(--space-md);
}

    .result_actions .action_label {
        font-size: var(--text-md);
        font-weight: var(--font-medium);
    }

.view_toggle {
    display: flex;
    align-items: center;
    gap: var(--space-3xs);
}

    .view_toggle .view_btn {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 2.25rem;
        height: 2.25rem;
        border: none;
        background: none;
        cursor: pointer;
        color: var(--text-tertiary);
        border-radius: var(--rounded-xs);
    }

        .view_toggle .view_btn i {
            font-size: 1.625rem;
        }

        .view_toggle .view_btn.active {
            color: var(--primary-500);
        }

        .view_toggle .view_btn .material-symbols-outlined {
            font-variation-settings: 'FILL' 1;
        }

@media screen and (max-width: 767px) {
    .result_section {
        padding: var(--space-2xl) 0;
    }

    .result_header {
        padding-bottom: var(--space-xl);
        gap: var(--space-2xl);
        flex-direction: column-reverse;
        align-items: flex-start;
    }

    .result_actions {
        width: 100%;
        background-color: var(--primary-100);
        padding: var(--space-xl);
        border-radius: var(--rounded-md);
    }

        .result_actions .action_label {
            font-size: var(--text-sm);
        }

    .view_toggle {
        display: none;
    }
}

/* Floating Banner*/
.floating_banner {
    position: fixed;
    right: 1.5rem;
    bottom: 10rem;
    z-index: 40;
    width: 6.25rem;
    border-radius: var(--rounded-full);
    border: 1px solid var(--gray-500);
    background-color: var(--bg-default);
    overflow: hidden;
}

    .floating_banner .float_head {
        display: block;
        background-color: var(--indigo-600);
        padding: 1.375rem var(--space-xl) var(--space-sm);
        text-align: center;
        border-radius: var(--rounded-full) var(--rounded-full) 0 0;
    }

        .floating_banner .float_head .material-symbols-outlined {
            font-size: 2.25rem;
            color: var(--wh);
        }

        .floating_banner .float_head span {
            display: block;
            font-size: var(--text-xs);
            font-weight: var(--font-extrabold);
            color: var(--gray-100);
            margin-top: var(--space-3xs);
        }

    .floating_banner .float_item {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: var(--space-3xs);
        padding: var(--space-lg) 0;
        margin: 0 var(--space-xs);
        text-align: center;
        border-bottom: 2px dashed var(--border-secondary);
        cursor: pointer;
    }

        .floating_banner .float_item:last-child {
            border-bottom: none;
            padding-bottom: 1.375rem;
        }

        .floating_banner .float_item .material-symbols-outlined {
            color: var(--indigo-700);
            font-size: 2.125rem;
        }

        .floating_banner .float_item span {
            font-size: var(--text-2xs);
            font-weight: var(--font-medium);
            line-height: var(--leading-md);
        }

@media screen and (max-width: 1023px) {
    .floating_banner {
        display: none;
    }
}

/* Page Footer*/
.page_footer {
    border-top: 1px solid var(--surface-400);
    padding: 1.875rem 0;
    margin-top: auto;
}

.footer_nav {
    display: flex;
    gap: var(--space-3xl);
    font-size: var(--text-md);
    font-weight: var(--font-medium);
    margin-bottom: var(--space-xl);
}

.footer_info {
    font-size: var(--text-base);
    line-height: var(--leading-xl);
    color: var(--surface-700);
}

@media screen and (max-width: 767px) {
    .page_footer {
        padding-bottom: 5rem;
    }

    .footer_nav {
        font-size: var(--text-base);
        flex-wrap: wrap;
        justify-content: center;
    }

    .footer_info {
        font-size: var(--text-sm);
        text-align: center;
    }
}

/* Mobile Filter Modal*/
.filter_modal .modal_box {
    padding: var(--space-3xl) var(--space-xl) var(--space-xl);
}

.filter_modal .filter_modal_title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--space-xs);
    font-size: var(--text-md);
    font-weight: var(--font-medium);
    padding-bottom: var(--space-xl);
}

.filter_modal .chip_wrap {
    display: flex;
    flex-wrap: wrap;
    gap: var(--space-md);
    padding: var(--space-xl) 0;
}

    .filter_modal .chip_wrap .chip_field {
        flex: 1 1 calc(50% - var(--space-md));
    }

    .filter_modal .chip_wrap .chip_label {
        width: 100%;
        min-width: auto;
    }

.filter_modal_footer {
    background-color: var(--gray-100);
    padding: var(--space-xl);
    margin: 0 calc(-1 * var(--space-xl)) calc(-1 * var(--space-xl));
    border-radius: 0 0 var(--rounded-xl) var(--rounded-xl);
}

.filter_modal_tags {
    display: flex;
    flex-wrap: wrap;
    gap: var(--space-xs);
    padding-bottom: var(--space-xl);
}

.filter_modal_actions {
    display: flex;
    align-items: center;
    gap: var(--space-md);
}

    .filter_modal_actions .reset_btn {
        width: var(--height-lg);
        height: var(--height-lg);
        border-radius: var(--rounded-circle);
        border: 1px solid var(--border-secondary);
        background-color: var(--bg-default);
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        flex-shrink: 0;
    }

    .filter_modal_actions .btn_base {
        flex: 1;
    }

.top_btn {
    position: fixed;
    right: 2.5rem;
    bottom: 2rem;
    z-index: 40;
    width: 4.125rem;
    height: 4.125rem;
    border-radius: var(--rounded-circle);
    background-color: var(--bg-brand);
    color: var(--primary-100);
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: var(--text-md);
    font-weight: var(--font-semibold);
    line-height: 1;
}

    .top_btn .material-symbols-outlined {
        font-size: 1.5rem;
    }

@media screen and (max-width: 767px) {
    .top_btn {
        bottom: 5rem;
        right: var(--space-lg);
        font-size: var(--text-sm);
        width: 3.17rem;
        height: 3.17rem;
    }

        .top_btn .material-symbols-outlined {
            font-size: 1.2rem;
        }
}

/* 안내 문구 */
.detail_notice {
    color: var(--surface-700);
    line-height: 1.9;
}

    .detail_notice p {
        text-indent: -12px;
        padding-left: 12px;
    }
